unit upDBX_FBConst;
(*
   Firebird dbExpress driver - "InterXpress for Firebird"
   (c) 2003, 2004 by Upscene Productions

   File: upDBX_FBConst.pas

   Contents: constants for defining a custom transaction in dbExpress
*)

interface

const
  { Below are the custom transaction isolation constants for starting a custom
    transaction in dbExpress. By combining the values below, you can construct
    a value for the CustomIsolation field in a TTransactionDesc record } 

  { Transaction Access modes }
  TR_AM_READ                 : LongWord = $00000001; { isc_tpb_read, read only }
  TR_AM_WRITE                : LongWord = $00000002; { isc_tpb_write, read/write }
  { Transaction Isolation levels }
  TR_ISO_CONCURRENCY         : LongWord = $00000004; { isc_tpb_concurrency }
  TR_ISO_CONSISTENCY         : LongWord = $00000008; { isc_tpb_consistency }
  TR_ISO_READ_COMMITTED      : LongWord = $00000010; { isc_tpb_read_committed }
  TR_ISO_REC_VERSION         : LongWord = $00000020; { isc_tpb_rec_version }
  TR_ISO_REC_NO_VERSION      : LongWord = $00000040; { isc_tpb_rec_no_version }
  { Transaction Lock Resolution }
  TR_LOCK_WAIT               : LongWord = $00000080; { isc_tpb_wait }
  TR_LOCK_NO_WAIT            : LongWord = $00000100; { isc_tpb_no_wait }


  
  { below are copies of the values, but with the "normal" Firebird names for
    people who are more familiar with the Firebird API }
  { Transaction Access modes }
  ISC_TPB_READ               : LongWord = $00000001; { read only }
  ISC_TPB_WRITE              : LongWord = $00000002; { read/write }
  { Transaction Isolation levels }
  ISC_TPB_CONCURRENCY        : LongWord = $00000004; {  }
  ISC_TPB_CONSISTENCY        : LongWord = $00000008; {  }
  ISC_TPB_READ_COMMITTED     : LongWord = $00000010; {  }
  ISC_TPB_REC_VERSION        : LongWord = $00000020; {  }
  ISC_TPB_REC_NO_VERSION     : LongWord = $00000040; {  }
  { Transaction Lock Resolution }
  ISC_TPB_WAIT               : LongWord = $00000080; {  }
  ISC_TPB_NO_WAIT            : LongWord = $00000100; {  }

implementation

end.
